package kandata.launcher;

import java.util.ArrayList;
import javax.swing.*;


/** リストのモデル */
class SiteListModel extends AbstractListModel {
	private SiteCategory siteCategory;
	SiteListModel(SiteCategory cat) {
		this.siteCategory = cat;
	}
	/** 指定されたインデックスで示される値を返します。 */
	public Object getElementAt(int index) {
		return siteCategory.getSiteInfo(index);
	}
	public int getSize() {
		return siteCategory.getSize();
	}
	/** リストが変更された。*/
	void fireChanged() {
		fireContentsChanged(this, 0, siteCategory.getSize());
	}
}

